# BleachBypassShader

## Import

BleachBypassShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { BleachBypassShader } from 'three/addons/shaders/BleachBypassShader.js';
```

## Properties

### .BleachBypassShader : ShaderMaterial~Shader (inner, constant)

Bleach bypass shader \[http://en.wikipedia.org/wiki/Bleach\_bypass\] based on [Nvidia Shader library](http://developer.download.nvidia.com/shaderlibrary/webpages/shader_library.html#post_bleach_bypass).

## Source

[examples/jsm/shaders/BleachBypassShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/BleachBypassShader.js)